%define real_name rubysdl
%define name ruby-SDL
%define version 2.2.0
%define release %mkrel 0.20160105.1

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Source: https://github.com/ohai/rubysdl/archive/master.zip
Source1: rubysdl_ref_2.en.html.bz2
Group: Development/Ruby
URL: http://ohai.github.io/rubysdl/
BuildRequires: SDL-devel SDL_image-devel SDL_mixer-devel SDL_ttf-devel smpeg-devel ruby-devel
Provides: %{real_name} = %{version}

%description
Ruby-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Ruby,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-master
bzcat %{SOURCE1} > reference_manual.html

%build
ruby extconf.rb --enable-opengl
%make
sed -i 's|/usr/local/bin/ruby|/usr/bin/ruby|' sample/*.rb
chmod 0755 sample/kanji.rb

%install
%make_install

%files
%defattr(-, root, root)
%doc README.* sample reference_manual.html
%{ruby_sitelibdir}/*.rb
%{ruby_sitearchdir}/*.so


%changelog
* Fri Jan 08 2016 ns80 <ns80> 2.2.0-0.20160105.1.mga6
+ Revision: 920594
- update to 2016-01-05 git commit

* Mon Jan 04 2016 ns80 <ns80> 2.2.0-0.20160101.1.mga6
+ Revision: 919360
- update to latest git commit

* Tue Oct 27 2015 ns80 <ns80> 2.2.0-0.20140806.2.mga6
+ Revision: 895774
- rebuild for ruby 2.2.3

* Tue Aug 25 2015 ns80 <ns80> 2.2.0-0.20140806.1.mga6
+ Revision: 869243
- correct release number

* Mon Aug 24 2015 ns80 <ns80> 2.2.0-0.20140806.mga6
+ Revision: 869002
- imported package ruby-SDL

